import { GdsElement } from '../../../gds-element';
/**
 * @element gds-icon-details
 */
export declare class GdsIconDetails extends GdsElement {
    static styles: import("lit").CSSResult[];
    /**
     * Controls if the details is open
     */
    open: boolean;
    render(): any;
    updated(changedProperties: Map<string, any>): void;
}
